package cn.rankin.apiweb.controller;

import cn.rankin.apiweb.assist.resolver.NeedUser;
import cn.rankin.apiweb.service.product.ProductService;
import cn.rankin.common.utils.api.model.APIResult;
import cn.rankin.data.api.app.vo.DeviceUserVo;
import cn.rankin.data.api.product.vo.SupportItemVo;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PathVariable;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RequestMethod;
import org.springframework.web.bind.annotation.RestController;

@RestController
@RequestMapping(value = "/support")
public class SupportController {

    @Autowired
    private ProductService productService;

    @RequestMapping(value = "/{supportId}", method = RequestMethod.GET)
    public APIResult<SupportItemVo> getSupport(@NeedUser DeviceUserVo user, @PathVariable("supportId") String supportId) {
        String merchantId = user.getMerchantId();
        return productService.getSupport(supportId, merchantId);
    }
}
